Contents

 Contents zip package:
- readme.txt: basic info
- install.txt: install info
- Txt2dir.exe: the unregistered executable
- txt2dir.chm: the help-file including the manual
- txt2dir.ico: icon file
- several txt-files including all kinds of help, for the case you are unable to read the .chm-file.


Introducing Txt2dir

 If we would describe Txt2dir in one short line then it would be:
It creates directories quickly from text.

It is a program, with which you can create a lot of folders automatically, rather than manually, one by one. You can start from a text file which in many occasions exists already or is very easy to create.

It is especially made for professional users who can win a lot of time and money using this technique.


Requirements

 Software requirements are low. It should suffy you have Windows 95 or higher. It proved to work perfect in Windows95, 98 and XP. Higher versions of Windows should be compatible but one never knows with operating systems... .
To work with CD's you should have a program like DirectCd from Roxio (former Adaptec). For DVD you could use InCD from Nero.
Hardware requirements are nihil; the slowest Pentium will be more than enough and the needed hard disk free space is about 1MB only... .


Install/Remove

  • Unregistered version
    There is an automatic installation available. Just follow the instructions during install. An icon will be placed on your desktop + it will be added to the Windows start menu. (Remark that the installer could say there is 2048MB free while there is even more free space... just ignore that)

    If install fails for some reason then you can also manually put all the files from the zip-file (see website) into one directory, for instance: c:\Program Files\Txt2dir and then run Txt2dir.exe.

  • Registered version
    Simply replace the old Txt2dir.exe (not the installer!) with the one you got by E-mail.
Always keep files together in the installation directory.

To remove the software, use the uninstall option, available via for instance the Windows start menu. Please remove eventually manually remaining '.ini' and '.his' files.


How it works - short

 1) Preparation of text file: First of all you locate or create a text file which contains strings, one under another. Each line is the name of a folder which will be created in a parent directory by Txt2dir.
Very simple example contents of a txt file named for instance C:\My Documents\My Animals.txt:
cat
dog
fish
bird

An easy way to save such a file is using Notepad from Windows.

2) Txt2dir:
A) Enter the prepared text file by typing in the complete path or using the file menu or using the selection panel.
B) Enter the parent folder by typing it or using the selection panel. For instance 'C:\My Documents\Animals'
C) Hit RUN button.

In our example, following folders would be made:
C:\My Documents\Animals\cat
C:\My Documents\Animals\dog
C:\My Documents\Animals\fish
C:\My Documents\Animals\bird


Main options

 Via Options in the main menu you access the main options of the program.
  • Selection folder
    To limit excessive navigating in folder structures you can give the initial folder of Txt2dir browsers like the selection panel
  • Invalid characters
    When creating folder and file names, Windows does not accept every character. Some characters are invalid. If Txt2dir meets such a character then it can optionnally replace such a character by something you choose. For instance you can replace them by EDITMANUALLY or TEMP or by an underscore ( _ ) or by nothing (leave field empty) and so on... .
    Example:
    invalid characters


Tips, tricks and notes

- Handy tip when making text lists which are 'series': use the fill handle of Excel! For example you want to create customer001, customer002.... up to customer999... then type in customer001 in one cell and customer002 in the cell below, select both and drag the fill handle... then copy all the cells and paste them into Notepad and save this as a txt file to be used in the next step by Txt2dir.... simple and very effective!! You want a directory for each day of the year? Start by typing '1 jan' and '2 jan' into Excel... fill handle........Txt2dir.... and in no time your wish is completed. And so on.
- In order to open/view quickly an existing text file, you can use the file menu but you can also double-click on the file, either in the selection or in the source panel.
- Try not to use extremely long file names. A complete path can not be longer than 259 characters... but this includes the file name too! Take this into account when making your text lists.
- It is also a known issue that very long names are sometimes not copied well to CDs or other special media. Avoid using very long (more than 127 characters) folder names in these cases!
- If you have a huge text file and it contains a lot of empty lines then do not bother about removing them as Txt2dir will ignore them automatically.
- Click with the right mouse button on the selection panel to create or remove an empty folder.


Agreement

 Using this software supposes you understand and agree with this: There is a non-registered version of the program which can be distributed freely but which includes some limitations. All features can and should be tested by the user before he decides to buy the other, registered version. Registered program may not be spread and will include some of your personal info. This is relatively small and low cost software which causes that it is difficult to give lots of user support. Eventual questions, complaints etc... can be sent, but only by E-mail. There is no guarantee when and if there will be a reaction; normally however you get a reaction within one day. This depends on importancy level and time availability. Follow instructions in documentation carefully and always check our website for the most recent information.
Shareware Hangvogel is not responsible for any harm caused by this program in a direct or indirect manner. Using the program is accepting this statement.


Shareware Hangvogel - contact info

 Normally all info should be available on the website.
Website: http://hangvogel.fly.to
Online meetings: see website
E-mail: hangvogel@pandora.be
Emergency E-mail (use only when problems with above E-mail): hangvogel@yahoo.com


Languages (Français, Deutsch, Nederlands...)

 The program is only available in English and there are no plans to change this in near future.
What concerns the documentation however, it is certainly possible that translations will be available on website in future.

FRANCAIS: Il y a une chance que de la documentation sera disponible en français. Questions peuvent être posées en français.
DEUTSCH: Es ist möglich dass Dokumentation verfügbar wird in Deutsch. Fragen können sie auch stellen in Deutsch.
NEDERLANDS: Er is een kans dat documentatie beschikbaar wordt in het Nederlands. Vragen kunnen ook in het Nederlands gesteld worden.

At the time this is written there is even an online site translator (draft) accessible via our website for languages like French, German, Italian, Japanese, Korean, Portuguese and Spanish.


Register

 To register, simply go to our website and look for a register link. Then just follow instructions.
At the moment this is written we work with an intermediate company who is specialized in E-commerce solutions. They accept several payment methods like snail-mail, fax, phone and online with VISA.
Price (see website) includes the fee for intermediate company. Intermediate compan(y)(ie)s, prices and number of currencies can change in future.

Once registration accepted you will get your personal, registered, executable file of the last known version of this program by E-mail. Make sure your email system can receive a file as big as the size of the exe file. Exe-file for registered and unregistered version does not differ a lot. If your mail-system accepts files of 1MB then you should have no problems. Simply replace the unregistered file by this registered file in the installation directory.


Updates

Version history:
version 1.0, released January 2005
version 2.0, released March 2005
- automatic white line ignoring
- bug removed from reporting
- option added: automatic replacing of invalid characters
- improved folder select
- some other small improvements